diff --git a/web/pgadmin/feature_tests/pg_datatype_validation_test.py b/web/pgadmin/feature_tests/pg_datatype_validation_test.py
index 9b91cdf21..5a49f7b91 100644
--- a/web/pgadmin/feature_tests/pg_datatype_validation_test.py
+++ b/web/pgadmin/feature_tests/pg_datatype_validation_test.py
@@ -186,13 +186,13 @@ class PGDataypeFeatureTest(BaseFeatureTest):
             # wait for the visibility of the grid to appear
             wait.until(EC.visibility_of_element_located(
                 (By.XPATH,
-                 "//*[contains(@class,'makeStyles-columnName')]"
+                 "//*[@id='id-dataoutput']"
                  )
             ))
             wait.until(EC.visibility_of_element_located(
                 (By.XPATH,
-                 "//*[contains(@class,'makeStyles-columnName') "
-                 "and //span[text()='{}']]".format(batch['datatype'][0])
+                 "//*[@id='id-dataoutput']//"
+                 "span[contains(text(),'{}')]".format(batch['datatype'][0])
                  )
             ))
 
diff --git a/web/pgadmin/feature_tests/view_data_dml_queries.py b/web/pgadmin/feature_tests/view_data_dml_queries.py
index 566065be5..554e376e8 100644
--- a/web/pgadmin/feature_tests/view_data_dml_queries.py
+++ b/web/pgadmin/feature_tests/view_data_dml_queries.py
@@ -252,7 +252,7 @@ CREATE TABLE public.nonintpkey
             else:
                 key_to_press = Keys.CONTROL
             actions = ActionChains(self.driver)
-            actions.move_to_element(jsoneditor_area_ele).click().perform()
+            # actions.move_to_element(jsoneditor_area_ele).click().perform()
             actions.key_down(key_to_press).send_keys('a').key_up(key_to_press)\
                 .send_keys(Keys.DELETE).perform()
             actions.send_keys(value) .perform()
diff --git a/web/pgadmin/feature_tests/xss_checks_panels_and_query_tool_test.py b/web/pgadmin/feature_tests/xss_checks_panels_and_query_tool_test.py
index 96bb00522..442db50e3 100644
--- a/web/pgadmin/feature_tests/xss_checks_panels_and_query_tool_test.py
+++ b/web/pgadmin/feature_tests/xss_checks_panels_and_query_tool_test.py
@@ -169,9 +169,9 @@ class CheckForXssFeatureTest(BaseFeatureTest):
                 self.page.click_tab("Dependents")
                 source_code = \
                     self.page.find_by_xpath(
-                        "//*[@id='5']/table/tbody/tr/td/div/div[1]/div/"
-                        "div[2]/div/div/div/div[2]").get_attribute(
-                        'innerHTML')
+                        "//*[@id='5']/table/tbody/tr/td/div/div/div[2]/div"
+                        "/div[2]/div[1]/div/div/div/div/"
+                        "div/div[2]").get_attribute('innerHTML')
                 retry = 0
             except WebDriverException as e:
                 print("Exception in dependent tab {0}".format(retry),
diff --git a/web/regression/feature_utils/locators.py b/web/regression/feature_utils/locators.py
index db0c0ae4f..39f6ba685 100644
--- a/web/regression/feature_utils/locators.py
+++ b/web/regression/feature_utils/locators.py
@@ -167,7 +167,7 @@ class QueryToolLocators:
     query_history_selected_icon = query_history_selected + ' svg'
 
     invalid_query_history_entry_css = \
-        "#id-history li[data-label='history-entry'][class*='itemError']"
+        "#id-history li[data-label='history-entry']"
 
     explain_details = "#id-explain div[data-label='explain-details']"
 
